共用方式為


Features - List

列出功能。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/featuresets/{featuresetName}/versions/{featuresetVersion}/features?api-version=2025-12-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/featuresets/{featuresetName}/versions/{featuresetVersion}/features?api-version=2025-12-01&$skip={$skip}&tags={tags}&featureName={featureName}&description={description}&listViewType={listViewType}&pageSize={pageSize}

URI 參數

名稱 位於 必要 類型 Description
featuresetName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_]{0,254}$

Azure Machine Learning 功能集名稱。

featuresetVersion
path True

string

推論版本名稱。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

subscriptionId
path True

string

minLength: 1

目標訂用帳戶的標識碼。

workspaceName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$

Azure Machine Learning 工作區的名稱。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

$skip
query

string

分頁的接續權杖。

description
query

string

功能集的描述。

featureName
query

string

特徵名稱。

listViewType
query

ListViewType

[ListViewType.ActiveOnly、ListViewType.ArchivedOnly、ListViewType.All]包含/排除 (例如) 封存實體的檢視類型。

pageSize
query

integer (int32)

頁面大小。

tags
query

string

以逗號分隔的標籤名稱清單 (以及選擇性的值)。 範例:tag1,tag2=value2

回應

名稱 類型 Description
200 OK

FeatureResourceArmPaginatedResult

Azure 作業已順利完成。

Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

List Feature.

範例要求

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/featuresets/string/versions/string/features?api-version=2025-12-01&tags=string&featureName=string&description=string

範例回覆

{
  "nextLink": "https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/features?api-version=2025-07-01-preview&$skip=2",
  "value": [
    {
      "name": "string",
      "type": "string",
      "id": "string",
      "properties": {
        "description": "string",
        "dataType": "Boolean",
        "featureName": "string",
        "properties": {
          "string": "string"
        },
        "tags": {
          "string": "string"
        }
      },
      "systemData": {
        "createdAt": "2020-01-01T12:34:56.999+00:50",
        "createdBy": "string",
        "createdByType": "Key",
        "lastModifiedAt": "2020-01-01T12:34:56.999+00:50",
        "lastModifiedBy": "string",
        "lastModifiedByType": "ManagedIdentity"
      }
    }
  ]
}

定義

名稱 Description
createdByType

建立資源的身分識別類型。

ErrorAdditionalInfo

資源管理錯誤其他資訊。

ErrorDetail

錯誤詳細數據。

ErrorResponse

錯誤回應

Feature

Azure Resource Manager 資源信封。

FeatureDataType

指定類型

FeatureProperties

DTO 物件代表特徵

FeatureResourceArmPaginatedResult

功能實體的編頁清單。

ListViewType

[ListViewType.ActiveOnly、ListViewType.ArchivedOnly、ListViewType.All]包含/排除 (例如) 封存實體的檢視類型。

systemData

與建立和上次修改資源相關的元數據。

createdByType

建立資源的身分識別類型。

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

資源管理錯誤其他資訊。

名稱 類型 Description
info

object

附加資訊。

type

string

其他資訊類型。

ErrorDetail

錯誤詳細數據。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤附加資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳細數據。

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

錯誤物件。

Feature

Azure Resource Manager 資源信封。

名稱 類型 Description
id

string

資源的完整資源標識碼。 例如 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

資源的名稱

properties

FeatureProperties

[必要]實體的其他屬性。

systemData

systemData

包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。

type

string

資源的類型。 例如「Microsoft.Compute/virtualMachines」或「Microsoft.Storage/storageAccounts」

FeatureDataType

指定類型

Description
String
Integer
Long
Float
Double
Binary
Datetime
Boolean

FeatureProperties

DTO 物件代表特徵

名稱 類型 預設值 Description
dataType

FeatureDataType

String

指定類型

description

string

資產描述文字。

featureName

string

指定名稱

properties

object

資產屬性字典。

tags

object

標記字典。 標記可以新增、移除和更新。

FeatureResourceArmPaginatedResult

功能實體的編頁清單。

名稱 類型 Description
nextLink

string (uri)

專案下一頁的連結

value

Feature[]

本頁的特色項目

ListViewType

[ListViewType.ActiveOnly、ListViewType.ArchivedOnly、ListViewType.All]包含/排除 (例如) 封存實體的檢視類型。

Description
ActiveOnly
ArchivedOnly
All

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立資源的身分識別。

createdByType

createdByType

建立資源的身分識別類型。

lastModifiedAt

string (date-time)

上次修改的資源時間戳 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。